# mypy-boto3-personalize-events

[![PyPI - mypy-boto3-personalize-events](https://img.shields.io/pypi/v/mypy-boto3-personalize-events.svg?color=blue)](https://pypi.org/project/mypy-boto3-personalize-events)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-personalize-events.svg?color=blue)](https://pypi.org/project/mypy-boto3-personalize-events)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)

- [mypy-boto3-personalize-events](#mypy-boto3-personalize-events)
  - [How to use](#how-to-use)
  - [Automated type discovery](#automated-type-discovery)


Type annotations for
[boto3.PersonalizeEvents 1.13.24](https://boto3.amazonaws.com/v1/documentation/api/1.13.24/reference/services/personalize-events.html#PersonalizeEvents) service
compatible with [mypy](https://github.com/python/mypy), [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/) and other tools.

Generated by [mypy-boto3-buider 2.0.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on [boto3-stubs](https://pypi.org/project/boto3-stubs/) page.

- [mypy-boto3-personalize-events](#mypy-boto3-personalize-events)
  - [How to use](#how-to-use)
    - [Type checking](#type-checking)
  - [How it works](#how-it-works)

## How to use

Make sure you have [mypy](https://github.com/python/mypy) installed and activated in your IDE.

Install `boto3-stubs` for `PersonalizeEvents` service.

```bash
python -m pip install boto3-stubs[personalize-events]

# update installed packages index for automated type discovery
python -m mypy_boto3
```

Use `boto3` with `mypy_boto3_personalize_events` in your project and enjoy type checking and auto-complete.

```python
import boto3

from mypy_boto3_personalize_events import PersonalizeEventsClient

# Now mypy can check if your code is valid.
client: PersonalizeEventsClient = boto3.client("personalize-events")

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: PersonalizeEventsClient = session.client("personalize-events")

```

## Automated type discovery

`mypy_boto3` package can generate index for `mypy_boto3_personalize_events` and other installed services.

```bash
# Run this command when you add or remove service packages
python -m mypy_boto3
```

Generated index provides overloads for `boto3.client` and `boto3.service`,
`boto3.Session.client` and `boto3.Session.resource` functions,
so explicit type annotations are not needed.

- `mypy` supports function overloads as expected
- `PyCharm` also supports function overloads, but consumes a lot of RAM, use carefully
- `VSCode` does not currently support function overloads

Also, generated index allows you to import types from `mypy_boto3`:

```python
# you can replace imports
import mypy_boto3_personalize_events as personalize_events
from mypy_boto3_personalize_events import PersonalizeEventsClient

# with these
from mypy_boto3 import personalize_events
from mypy_boto3.personalize_events import PersonalizeEventsClient
```